org.keycloak.models.jpa.entities

## Class ClientScopeClientMappingEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ClientScopeClientMappingEntity

-     @Entity
      public class ClientScopeClientMappingEntity
      extends Object

  Binding between client and clientScope
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientScopeClientMappingEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `clientId`
    `protected String` | `clientScopeId`
    `protected boolean` | `defaultScope`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientScopeClientMappingEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClientId()`
    `String` | `getClientScopeId()`
    `int` | `hashCode()`
    `boolean` | `isDefaultScope()`
    `void` | `setClientId(String clientId)`
    `void` | `setClientScopeId(String clientScopeId)`
    `void` | `setDefaultScope(boolean defaultScope)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientScopeId

          protected String clientScopeId

    - #### clientId

          protected String clientId

    - #### defaultScope

          protected boolean defaultScope

  - ### Constructor Detail

    - #### ClientScopeClientMappingEntity

          public ClientScopeClientMappingEntity()

  - ### Method Detail

    - #### getClientScopeId

          public String getClientScopeId()

    - #### setClientScopeId

          public void setClientScopeId(String clientScopeId)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### isDefaultScope

          public boolean isDefaultScope()

    - #### setDefaultScope

          public void setDefaultScope(boolean defaultScope)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.